## python-enum-tools 0.11.0

=== requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx<3.5.0,>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== debian/changelog ===
python-enum-tools (0.11.0-2) unstable; urgency=medium

  * debian/control: added and removed build-depends
  * debian/copyright: removed blank spaces

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 21 Dec 2023 20:12:30 -0300

python-enum-tools (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1019745)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 09 Dec 2023 21:31:27 -0300

=== debian/control ===
Source: python-enum-tools
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coverage,
               python3-domdf-python-tools,
               python3-html5lib,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-bs4,
               python3-pygments,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-regressions,
               python3-pytest-rerunfailures,
               python3-pytest-timeout,
               python3-setuptools,
               python3-sphinx,
               python3-typing-extensions
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/enum_tools
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-enum-tools
Vcs-Git: https://salsa.debian.org/python-team/packages/python-enum-tools.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-enum-tools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: tools to expand Python's enum module
 The enum tools package provides additional tools to expand the functionality
 of Python's standard enum module. Here are some of the key features this
 package offers:
  - enum_tools.autoenum:
     This part of the package is a Sphinx extension that
     enhances the Enums documentation. It has improved documentation compared
     to what Sphinx's default autoclass convention provides for Enums.
  - @enum_tools.documentation.document_enum:
     This is a decorator that allows you to add docstrings to Enums members
     based on the comments at the end of each line. This can be useful for
     improving documentation associated with each Enum member.
  - enum_tools.custom_enums:
     offers custom enumerations with additional functionality. May include
     specialized Enums that extend or change the default behavior of the Python
     enum module.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=enum-tools

#Tests skipped because it depends on the module
#'sphinx_toolbox end conincidence' not packaged for Debian.
export PYBUILD_TEST_ARGS=-v --ignore=tests/test_autoenum.py

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/domdfcoding/enum_tools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-enum-tools 0.12.0

=== requirements.txt ===
pygments>=2.6.1
typing-extensions>=3.7.4.3

=== doc-source/requirements.txt ===
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== tests/requirements.txt ===
alabaster<=0.7.13
beautifulsoup4<4.12.1,>=4.9.1
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
domdf-python-tools[testing]>=2.0.1
html5lib>=1.1
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-regressions>=2.0.1
pytest-rerunfailures>=9.0
pytest-timeout>=1.4.2
sphinx>=3.2.1
sphinx-toolbox[testing]>=2.16.0
sphinxcontrib-applehelp<=1.0.4
sphinxcontrib-devhelp<=1.0.2
sphinxcontrib-htmlhelp<=2.0.1
sphinxcontrib-jsmath<=1.0.1
sphinxcontrib-qthelp<=1.0.3
sphinxcontrib-serializinghtml<=1.1.5

=== debian/changelog ===
python-enum-tools (0.12.0-3) unstable; urgency=medium

  * Team Upload
  * Drop python3-importlib-metadata from build dependency

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 16:21:33 +0200

python-enum-tools (0.12.0-2) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.0
  * debian/patches/003.fixed-error-test.patch:
     - Fixed validations for varied documentation (Closes: #1082210)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 25 Dec 2024 21:24:40 -0300

python-enum-tools (0.12.0-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Build with whey
  * Enable coincidence

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.12.0
  * debian/patches/001.backend-change.patch: Removed unnecessary patch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 12:18:47 -0300

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-coincidence,
                python3-coverage,
                python3-domdf-python-tools,
                python3-html5lib,
-               python3-importlib-metadata,
                python3-iniconfig,
                python3-bs4,
                python3-pygments,
@@ -21,8 +21,9 @@
                python3-pytest-timeout,
                python3-setuptools,
                python3-sphinx,
-               python3-typing-extensions
-Standards-Version: 4.6.2
+               python3-typing-extensions,
+               python3-whey
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/enum_tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-enum-tools
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-enum-tools.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=enum-tools

#Tests skipped because it depends on the module
#'sphinx_toolbox' not packaged for Debian.
export PYBUILD_TEST_ARGS=-v --ignore=tests/test_autoenum.py

%:
	dh $@ --buildsystem=pybuild
